package de.avatic.lcc.dto.calculation.create;

import com.fasterxml.jackson.annotation.JsonProperty;
import de.avatic.lcc.dto.generic.MaterialDTO;
import de.avatic.lcc.dto.generic.NodeDTO;

import java.util.List;

public class PremiseSearchResultDTO {

    private List<MaterialDTO> materials;
    private List<NodeDTO> supplier;

    @JsonProperty("user_supplier")
    private List<NodeDTO> userSupplier;

    public List<MaterialDTO> getMaterials() {
        return materials;
    }

    public void setMaterials(List<MaterialDTO> materials) {
        this.materials = materials;
    }

    public List<NodeDTO> getSupplier() {
        return supplier;
    }

    public void setSupplier(List<NodeDTO> supplier) {
        this.supplier = supplier;
    }

    public List<NodeDTO> getUserSupplier() {
        return userSupplier;
    }

    public void setUserSupplier(List<NodeDTO> userSupplier) {
        this.userSupplier = userSupplier;
    }
}
